<template>
	<el-row class="marginTop20 fundDetail">
		<el-form ref="form" :inline="true" :model="form" label-width="5rem">
			<el-form-item label="放款日期">
				<el-date-picker
					v-model="applyDate"
					type="daterange"
					size="small"
					range-separator="至"
					start-placeholder="开始日期"
					end-placeholder="结束日期"
					value-format="yyyyMMdd"
				></el-date-picker>
			</el-form-item>
			<el-form-item label="到期日期">
				<el-date-picker
					v-model="endDate"
					type="daterange"
					size="small"
					range-separator="至"
					start-placeholder="开始日期"
					end-placeholder="结束日期"
					value-format="yyyyMMdd"
				></el-date-picker>
			</el-form-item>
			<el-form-item label="确认状态">
				<el-select size="mini" v-model="confirmStatus" placeholder="请选择">
					<el-option label="全部" :value="0"></el-option>
					<el-option label="是" :value="1"></el-option>
					<el-option label="否" :value="2"></el-option>
				</el-select>
			</el-form-item>
		</el-form>
		<ootecoTable class="marginTop30" ref="fundTable" :conf="tableConf" url="biz/make-loan/list"></ootecoTable>
	</el-row>
</template>

<script>
import ootecoTable from '@com/ooteco_table'
import fundDetail from './data_conf/fundDetail.js'
export default {
	mixins: [$mixin],
	components: { ootecoTable },
	data() {
		return Object.assign({}, utils.deepClone(fundDetail), {
			confirmStatus: 0,
			applyDate: [],
			endDate: [],
			form: {
				makeLoanStartDate: '', //放款开始日期
				makeLoanEndDate: '', //放款结束日期
				latestRepayStartDate: '', //还款开始日期
				latestRepayEndDate: '', //还款结束日期
				overDueStatus: 0 //逾期状态 0全部 1是 2否
			}
		})
	},
	computed: {},
	watch: {
		applyDate(val) {
			this.form.makeLoanStartDate = val[0]
			this.form.makeLoanEndDate = val[1]
			if (this.form.makeLoanStartDate && this.form.makeLoanEndDate) {
				this.$set(this.tableConf, 'params', this.form)
				this.$refs.fundTable.requestData()
			}
		},
		endDate(val) {
			this.form.latestRepayStartDate = val[0]
			this.form.latestRepayEndDate = val[1]
			if (this.form.latestRepayStartDate && this.form.latestRepayEndDate) {
				this.$set(this.tableConf, 'params', this.form)
				this.$refs.fundTable.requestData()
			}
		},
		confirmStatus(val) {
			this.form.overDueStatus = val
			this.$set(this.tableConf, 'params', this.form)
			this.$refs.fundTable.requestData()
		}
	},
	methods: {},
	mounted() {}
}
</script>

<style lang="less">
.fundDetail {
	.el-form-item {
		margin-bottom: 0;
	}
	.cell {
		div {
			text-align: center;
		}
	}
	.el-form-item {
		margin-bottom: 0;
	}
}
</style>
